
Core - Bug # 62247

Status: Rejected Priority: Should have
Author: Benjamin Mack Category: File Abstraction Layer (FAL)
Created: 2014-10-15 Assigned To: Benjamin Mack
Updated: 2014-11-30 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: FAL: Uppercase File Extensions of Image cannot be displayed 
Description

If a TYPO3 installation uses the UTF8-enabled
filesystem to allow uploading of any file name,
it is possible to upload files named myimage.JPEG
instead of automatically lower-cased etc.

A lot of checks for the file extension in the TYPO3
Core are done to check via GeneralUtility::inList()
which only checks for the lowercase file endings.

The bigger picture is to have this in a centralized
place to check if the file can be processed, but for
now, all the checks that still didn't work are replaced
by checking for a lower-cased file extension.

Related issues:
related to FAL Indexing - Bug # 60215: sys_file_processedfile with empty iden... Under Review 2014-07-09
related to Core - Bug # 61181: FAL: file maxW and maxH are ignored Rejected 2014-08-25
related to Core - Bug # 62400: Lot of entries in sys_file_processed with name... Rejected 2014-10-22
related to Core - Bug # 44105: Image size does not get updated Closed 2012-12-19
related to Core - Bug # 59216: Image dimensions (width/height) are 0 when not... Closed 2014-05-30

History
#1 - 2014-10-15 11:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33319

#2 - 2014-11-08 16:37 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33319

#3 - 2014-11-30 00:02 - Benjamin Mack
- Status changed from Under Review to Rejected
not needed anymore.
